package com.zd.laboratory.service;

import com.zd.laboratory.domain.vo.LiteMessageNoticeVO;
import com.zd.system.api.laboratory.domain.LabMessageUser;
import com.zd.system.api.laboratory.domain.vo.LabMessageUserListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author: zhoupan
 * @Date: 2021/09/02/17:55
 * @Description:
 */
public interface ILabMessageUserService {
    /**
     * 查询用户消息
     *
     * @param id 用户消息主键
     * @return 用户消息
     */
    public LabMessageUser selectLabMessageUserById(Long id);

    /**
     * 查询用户消息列表
     *
     * @param labMessageUser 用户消息
     * @return 用户消息集合
     */
    public List<LabMessageUser> selectLabMessageUserList(LabMessageUser labMessageUser);

    /**
     * 查询用户消息列表VO
     *
     * @param labMessageUser 用户消息
     * @return 用户消息集合
     */
    public List<LabMessageUserListVO> selectListVO(LabMessageUser labMessageUser);

    /**
     * 新增用户消息
     *
     * @param labMessageUser 用户消息
     * @return 结果
     */
    public int insertLabMessageUser(LabMessageUser labMessageUser);

    /**
     * 修改用户消息
     *
     * @param labMessageUser 用户消息
     * @return 结果
     */
    public int updateLabMessageUser(LabMessageUser labMessageUser);

    /**
     * 批量删除用户消息
     *
     * @param ids 需要删除的用户消息主键集合
     * @return 结果
     */
    public int deleteLabMessageUserByIds(Long[] ids);

    /**
     * 删除用户消息信息
     *
     * @param id 用户消息主键
     * @return 结果
     */
    public int deleteLabMessageUserById(Long id);

    /**
     * 批量新增用户消息
     *
     * @param labMessageUser 用户消息
     * @return 结果
     */
    public int insertLabMessageUserBatch(List<LabMessageUser> labMessageUser);

    /**
     * 小程序获取 外层消息列表 （通讯录短信类似， 合并发送人）
     * @return
     */
    public List<LiteMessageNoticeVO>  queryLiteMessageNoticeVO();


    /**
     * 查询安全准入消息信息
     *
     * @param messageId
     * @return
     */
    public Map <String,Object> myRead(Long messageId);

    /**
     * 查询我的消息统计数量
     *
     * @return
     */
    public Map <String,Object> myGroupTotalCount();

    void readByLoginUser(LabMessageUser labMessageUser);
}
